1 Reply Latest reply: Sep 26, 2013 11:36 PM by doedil
doedil Level 1 (0 points)

I would like to use logic pro x, but the requirement says it needs 4gb of ram.  How can I upgrade my mac mini or can I use a downgraded version of logic x?

Mac mini, OS X Mountain Lion (10.8.5)